dbXML API

## com.dbxml.xml.text
Class TextTableGenerator

    java.lang.Object
      com.dbxml.xml.dtsm.TableGenerator
          com.dbxml.xml.sax.SAXTableGenerator
              com.dbxml.xml.text.TextTableGenerator

public final class TextTableGenerator
extends SAXTableGenerator

TextTableGenerator

Constructor Summary
`TextTableGenerator(byte[] xml)`
`TextTableGenerator(byte[] xml, int start, int length)`
`TextTableGenerator(char[] xml)`
`TextTableGenerator(char[] xml, int start, int length)`
`TextTableGenerator(java.lang.String xml)`
`TextTableGenerator(java.lang.StringBuffer xml)`

Methods inherited from class com.dbxml.xml.sax.SAXTableGenerator
`process`

Methods inherited from class com.dbxml.xml.dtsm.TableGenerator
`getProperty, getSymbolTable, setProperty, setSymbolTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextTableGenerator

    public TextTableGenerator(java.lang.String xml)

### TextTableGenerator

    public TextTableGenerator(java.lang.StringBuffer xml)

### TextTableGenerator

    public TextTableGenerator(char[] xml)

### TextTableGenerator

    public TextTableGenerator(char[] xml,
                              int start,
                              int length)

### TextTableGenerator

    public TextTableGenerator(byte[] xml)

### TextTableGenerator

    public TextTableGenerator(byte[] xml,
                              int start,
                              int length)

dbXML API

Copyright (c) 2004 The dbXML Group